~swalladge/searchr

Add contributing guidelines
Add link to crates.io release
Remove dead link from readme
Release v0.2.0

This is basically a backwards-incompatible set of dependency upgrades.
Functionality is the same, but the index files aren't compatible with 0.1.0.
Relicense to GPL-3

Makes more sense for a command line tool.
It has no need to be used as a library or be incorporated into proprietary software.
Remove dependency that's no longer needed
Update dependencies

Tantivy has updated too, and the index as written to disk
doesn't seem to be backwards compatible with the previous release.
ignore logging setup errors
fix error on open index that exists
cargo metadata
implement support for custom language for stemmer
use custom stemmer
Next